petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCreateMPI

Creates a parallel vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateMPI(MPI_Comm comm,PetscInt n,PetscInt N,Vec *v)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the MPI communicator to use Many br
| n | - local vector length (or PETSC_DECIDE to have calculated if N is given) Many br
| N | - global vector length (or PETSC_DETERMINE to have calculated if n is given) Many br

### Output Parameter

vv -the vector Many br

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the Many brsame type as an existing vector. Many br

Many br

### See Also

VecCreateSeq(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost(),
VecCreateMPIWithArray(), VecCreateGhostWithArray(), VecMPISetGhost() Many br

Level:intermediate
Location:src/vec/vec/impls/mpi/vmpicr.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex42a.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex2f.F.html